Docs
Get Department Roll Up Schedule
GET /Organizations/{orgId}/departments/{departmentId}/schedule
GET
/Organizations/{orgId}/departments/{departmentId}/scheduleLists the activities of the organization's active events that include crew from collaborators in one department. The orgId comes from the Organization API's Users_GetOrganizations and the department id from its Organizations_GetDepartments; needs the organization basic access permission.
Path Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| orgId | uuid | Required | |
| departmentId | uuid | Required |
Response
Type: GetDepartmentActivitiesRollUpResponse[]
GetDepartmentActivitiesRollUpResponse
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| eventId | uuid | |
| type | string| null | |
| name | string| null | |
| startDateTime | date-time | |
| endDateTime | date-time | |
| isAllDay | boolean | |
| recurrenceRules | GetDepartmentActivitiesRollUpResponseRecurrenceRule | |
| crew | GetDepartmentActivitiesRollUpResponseParticipant[]| null |
GetDepartmentActivitiesRollUpResponseRecurrenceRule
| Field | Type | Description |
|---|---|---|
| frequency | string| null | |
| interval | integer | |
| daysOfWeek | string[]| null | |
| endDate | date-time |
GetDepartmentActivitiesRollUpResponseParticipant
| Field | Type | Description |
|---|---|---|
| id | uuid | |
| name | string| null | |
| connectedUserId | uuid| null |